## netcat-openbsd 1.105

=== Makefile ===
#	$OpenBSD: Makefile,v 1.6 2001/09/02 18:45:41 jakob Exp $

PROG=	nc
SRCS=	netcat.c atomicio.c socks.c

.include <bsd.prog.mk>

=== debian/changelog ===
netcat-openbsd (1.105-7ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add info about netcat-traditional if you are looking for an option
      when it is not available.
    - Set correct compiler and pkg-config when cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 Dec 2012 01:37:22 +0000

netcat-openbsd (1.105-7) unstable; urgency=low

  * Make UNIX dgram sockets work (Closes: #676997).

 -- Aron Xu <aron@debian.org>  Wed, 13 Jun 2012 09:01:43 +0800

netcat-openbsd (1.105-6ubuntu2) raring; urgency=low

  * Set correct compiler and pkg-config when cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 01 Dec 2012 02:45:03 +0000

netcat-openbsd (1.105-6ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (LP: #1006631).
  * debian/patches/verbose-message-to-stderr.patch: Dropped,
    applied upstream.
  * debian/patches/dccp.patch: Dropped, applied in Debian.
  * debian/control: Update XSBC-Original-Maintainer.
  * debian/patches/netcat-info.patch: Refresh.
  * Remaining changes:
    - debian/patches/netcat-info.patch: Add info about netcat-traditional
      if you are looking for an option when it is not available.
      (LP: #590925)

 -- Adam Gandelman <adamg@canonical.com>  Wed, 30 May 2012 14:38:36 -0700

netcat-openbsd (1.105-6) unstable; urgency=low

  * Fix segfaults when using -Ulv (Closes: #668558).
  * Do not continue to listen on port after accepting connection.

 -- Aron Xu <aron@debian.org>  Thu, 03 May 2012 07:38:59 +0800

netcat-openbsd (1.105-5) unstable; urgency=low

  * Add $LDFLAGS from environment (Closes: #665321). 

 -- Aron Xu <aron@debian.org>  Mon, 26 Mar 2012 01:37:16 +0800

netcat-openbsd (1.105-4) unstable; urgency=high

  * High urgency for fixing RC bug.
  * Fix readwrite() behaviour (Closes: #662741).

 -- Aron Xu <aron@debian.org>  Tue, 06 Mar 2012 15:18:26 +0800

netcat-openbsd (1.105-3) unstable; urgency=low

  * Clear up symlink of man page.
  * Use Breaks instead of Conflicts.
  * Fix minor warnings from man.

 -- Aron Xu <aron@debian.org>  Sun, 19 Feb 2012 14:28:46 +0800

netcat-openbsd (1.105-2) unstable; urgency=low

  * Add missing Build-Depends: pkg-config.

 -- Aron Xu <aron@debian.org>  Sun, 19 Feb 2012 03:59:37 +0800

netcat-openbsd (1.105-1) unstable; urgency=low

  * New upstream CVS snapshot, new maintainer.
    - Verbose message to strerr (Closes: #570765).
    - Can use packet's content > 1024 (Closes: #607003).
    - Replace non-portable echo with printf (Closes: #510372).
  * debian/patches:
    - Rearrange existing patches, fix new porting issues.
    - Option -l and -p are now compatible (Closes: #540073).
    - Use libbsd instead of glib for strlcpy (Closes: #550611).
    - Fix build with -Wl,--as-needed (Closes: #604781).
    - Handling multiple clients subsquently when -k (Closes: #514792).
    - Replace inet_ntoa with inet_ntop to support IPv6
      (Closes: #512992).
    - Modify -q behavior to be compatible with nc.traditional
      (Closes: #508722, #594614, #606925, #611964).
    - DCCP and broadcast support.
    - Arbitrary port list to scan.
    - Fix misc connection failures
      (Closes: #579485, #579486, #579487, #579488, #633948).
    - Improve verbose information and documentations.
  * debian/rules:
    - Link nc.openbsd.1 from nc.1 (Closes: #535951).
    - Enable optional hardening build flags.
  * debian/control:
    - Replace glib with libbsd.
    - Update to use debhelper 8, std-ver 3.9.2.
    - Priority: important, to make it into base system.
    - Add Vcs-*.
  * debian/compat:
    - Update to 8 from 4.

 -- Aron Xu <aron@debian.org>  Wed, 15 Feb 2012 01:39:04 +0800

netcat-openbsd (1.89-4ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable (LP: #803856).  Remaining changes:
    - debian/patches/dccp.patch: Added support for dccp
    - debian/patches/netcat-info.patch: Add info about netcat-traditional
      if you are looking for an option when it is not available.
      (LP: #590925)
    - debian/patches/verbose-message-to-stderr.patch: Log "Connection to ..."
      messages to stderr (LP: #519210)
    - Modify Maintainer value to match the DebianMaintainerField
      specification.
    - Fix build failure with --as-needed.

 -- Adam Gandelman <adamg@canonical.com>  Fri, 01 Jul 2011 23:34:38 +0200

netcat-openbsd (1.89-4) unstable; urgency=low

  * Quit immediately after EOF if -q is not given (i.e. make the default
    equivalent to -q 0). This is the standard upstream behavior and what
    other Linux distributions use. It is different from netcat-traditional,
    but compatibility with other versions of OpenBSD netcat is more
    important. (Closes: #502188)

 -- Decklin Foster <decklin@red-bean.com>  Sun, 18 Apr 2010 20:05:08 -0400

netcat-openbsd (1.89-3ubuntu6) oneiric; urgency=low

  * debian/patches/dccp.patch: Added support for dccp

 -- Michael Gendelman <genged@gmail.com>  Sat, 11 Jun 2011 01:09:57 +0300

netcat-openbsd (1.89-3ubuntu5) natty; urgency=low

  * debian/patches/quit-timer.patch: Re-enabled, but set default to 0 to match 
    current behavior.
  * debian/patches/netcat-info.patch: Add info about netcat-traditional
    if you are looking for an option when it is not available.
    (LP: #590925) 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 04 Jan 2011 14:31:12 -0500

netcat-openbsd (1.89-3ubuntu4) natty; urgency=low

  * debian/patches/quit-timer.patch: Drop quit-time.patch as per disccussion on
    ubuntu-server.  (LP: #590925)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 03 Jan 2011 10:08:24 -0500

netcat-openbsd (1.89-3ubuntu3) natty; urgency=low

  * Fix build failure with --as-needed.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Nov 2010 14:40:32 +0100

netcat-openbsd (1.89-3ubuntu2) lucid; urgency=low

  * Log "Connection to ..." messages to stderr (LP: #519210)

 -- Stefan Haller <haliner@googlemail.com>  Tue, 09 Feb 2010 10:42:03 +0100

netcat-openbsd (1.89-3ubuntu1) intrepid; urgency=low



=== debian/control ===
Source: netcat-openbsd
Section: net
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Aron Xu <aron@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8), quilt, libbsd-dev, pkg-config
Vcs-Browser: http://git.debian.org/?p=collab-maint/netcat-openbsd.git
Vcs-Git: git://anonscm.debian.org/collab-maint/netcat-openbsd.git

Package: netcat-openbsd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: netcat
Breaks: netcat (<< 1.10-35)
Replaces: netcat (<< 1.10-35)
Description: TCP/IP swiss army knife
 A simple Unix utility which reads and writes data across network
 connections using TCP or UDP protocol.  It is designed to be a reliable
 "back-end" tool that can be used directly or easily driven by other
 programs and scripts. At the same time it is a feature-rich network
 debugging and exploration tool, since it can create almost any kind of
 connection you would need and has several interesting built-in
 capabilities.
 .
 This package contains the OpenBSD rewrite of netcat, including support
 for IPv6, proxies, and Unix sockets.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

DEB_CFLAGS = $(CPPFLAGS) $(CFLAGS)
DEB_LDFLAGS = $(LDFLAGS) -Wl,--no-add-needed,--as-needed
DEB_VER = $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CROSS :=
else
	CROSS := \
		CC=$(DEB_HOST_GNU_TYPE)-gcc \
		PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
endif

%:
	dh $@
override_dh_auto_build:
	$(MAKE) CFLAGS='$(DEB_CFLAGS) -DDEBIAN_VERSION=\"$(DEB_VER)\"' LDFLAGS="$(DEB_LDFLAGS)" $(CROSS)
override_dh_auto_install:
	mv nc nc.openbsd
	mv nc.1 nc_openbsd.1
	dh_auto_install

## netcat-openbsd 1.130

=== debian/changelog ===
netcat-openbsd (1.130-3) unstable; urgency=medium

  * Change defaults from "-q0" to "-q-1" to match upstream defaults since the
    introduction of flag "-N" in version 1.110.  Passing a non-negative value
    to "-q" now implies "-N"; in particular, "-q0" is now a mere alias for
    "-N". (Closes: #854292)

 -- Guilhem Moulin <guilhem@guilhem.org>  Fri, 03 Mar 2017 20:32:55 +0100

netcat-openbsd (1.130-2) unstable; urgency=medium

  * Fix handling of delayed exit option (Closes: #849192, LP: #1656785)
    Thanks to Stefan Bader!

 -- Aron Xu <aron@debian.org>  Thu, 26 Jan 2017 16:51:13 +0800

netcat-openbsd (1.130-1) unstable; urgency=low

  [ Aron Xu ]
  * Fix cross build, thanks Colin Watson. (Closes: #694844)

  [ Guilhem Moulin ]
  * Add self to Uploaders.
  * New upstream release. (Closes: #682444, #751105, #752931, #817050)
  * Ensure each line ends with CRLF when -C is set, not just the last line
    from the read buffer.  (Closes: #705223, #711784)
  * Pause after each line when -i is set, not just after the last line from
    the read buffer.
  * debian/control:
    + Bump Standards-Version to 3.9.8 (no changes necessary).
    + Upgrade Vcs-Git URI from git:// to https://.
    + Upgrade Vcs-Browser URI from http:// to https:// and switch to the
      canonical cgit URI.
  * debian/compat: Bump debhelper compatibility version to 9.
  * debian/rules: Set DEB_BUILD_MAINT_OPTIONS to compile and link ELF
    executables with hardening options enabled.
  * debian/copyright:
    + Add missing entries for nc.1 and Makefile.
    + Replace the format URI http://dep.debian.net/deps/dep5/ by a versioned
      one https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/ .
  * debian/patches/0001-port-to-linux-with-libsd.patch: Don't truncate to
    "Proxy-Authorization" header to 7 bytes.  Thanks to Petros Angelatos for
    the patch.  (Closes: #792454)
  * debian/patches/0010-misc-failures-and-features.patch: fix broadcast
    support (SO_BROADCAST is a socket-level option not a TCP socket option).
    Thanks to Jakob Wrigley for the patch.  (Closes: #702204)

 -- Guilhem Moulin <guilhem@guilhem.org>  Fri, 11 Nov 2016 02:28:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: netcat-openbsd
 Section: net
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Aron Xu <aron@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8), quilt, libbsd-dev, pkg-config
-Vcs-Browser: http://git.debian.org/?p=collab-maint/netcat-openbsd.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/netcat-openbsd.git
+Maintainer: Aron Xu <aron@debian.org>
+Uploaders: Guilhem Moulin <guilhem@guilhem.org>
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), quilt, libbsd-dev, pkg-config
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/netcat-openbsd.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/netcat-openbsd.git
 
 Package: netcat-openbsd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/buildflags.mk

## netcat-openbsd 1.178

=== debian/changelog ===
netcat-openbsd (1.178-3) unstable; urgency=low

  * Fix FTBFS on hurd-i386.
  * Fix verbose mode with UDP (-uv).  Thanks to Akos Pasztory for the report
    and patch.  Closes: #870240.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 31 Jul 2017 18:54:10 +0200

netcat-openbsd (1.178-2) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.0.0 (no changes necessary).
  * debian/rules: Avoid parsing dpkg-parsechangelog(1) output.
  * Fix FTBFS on kFreeBSD.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 27 Jun 2017 19:01:55 +0200

netcat-openbsd (1.178-1) unstable; urgency=medium

  * New upstream release (compiled without TLS support).
  * debian/copyright: Fix license for atomicio.[ch] and socks.c (2-clause vs
    3-clause BSD). Closes: #860459.
  * debian/README.source: new file showing how to import new upstream
    releases.
  * set TCP MD5SIG correctly for client connections.  Thanks to Thomas Habets
    for the patch.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 17 Jun 2017 12:45:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: important
 Maintainer: Aron Xu <aron@debian.org>
-Uploaders: Guilhem Moulin <guilhem@guilhem.org>
-Standards-Version: 3.9.8
+Uploaders: Guilhem Moulin <guilhem@debian.org>
+Standards-Version: 4.0.0
 Build-Depends: debhelper (>= 9), quilt, libbsd-dev, pkg-config
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/netcat-openbsd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/netcat-openbsd.git

## netcat-openbsd 1.187

=== debian/changelog ===
netcat-openbsd (1.187-1ubuntu0.1) bionic; urgency=medium

  * Re-enable usage of '-s' (local source address) and '-p' (local source
    port) in client mode (when '-l' is unset).  Regression introduced in
    a Debian-specific patch added in 1.187-1. (LP: #1767283).
    Backport of https://salsa.debian.org/debian/netcat-openbsd/commit/338b1fa7

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 14 May 2018 14:24:33 +0200

netcat-openbsd (1.187-1) unstable; urgency=low

  * New upstream release (from OpenBSD 6.2)
  * debian/control: Bump Standards-Version to 4.1.1 (no changes necessary).
  * debian/patches/send-crlf.patch: clarify in the manpage that the "-C" flag
    (translate LF to CR+LF) only affects input data, and that LF characters
    that are already preceded with CR are not translated.  Closes: #861062.
  * Allow usage of -s with -l for consistency with netcat-traditional.  `nc -l
    -p 12345 -s ::1` now behave as `nc -l -p 12345 ::1` and `nc -l ::1 12345`.
    Closes: #879853.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 03 Dec 2017 23:01:07 +0100

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/pkg-info.mk

DEB_CFLAGS = $(CPPFLAGS) $(CFLAGS)
DEB_LDFLAGS = $(LDFLAGS) -Wl,--no-add-needed,--as-needed

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CROSS :=
else
	CROSS := \
		CC=$(DEB_HOST_GNU_TYPE)-gcc \
		PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
endif

%:
	dh $@
override_dh_auto_build:
	$(MAKE) CFLAGS='$(DEB_CFLAGS) -DDEBIAN_VERSION=\"$(DEB_VERSION)\"' LDFLAGS="$(DEB_LDFLAGS)" $(CROSS)
override_dh_auto_install:
	mv nc nc.openbsd
	mv nc.1 nc_openbsd.1
	dh_auto_install

## netcat-openbsd 1.190

=== debian/changelog ===
netcat-openbsd (1.190-2) unstable; urgency=low

  * d/patches/misc-failures-and-features.patch: Refactor option/argument
    verification logic and re-enable usage of '-s' (local source address) and
    '-p' (local source port) in client mode (when '-l' is unset).  Regression
    introduced in version 1.187-1 of that file.  Closes: #897020, LP: #1767283.
  * debian/control: Bump Standards-Version to 4.1.4 (no changes necessary).

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 30 Apr 2018 19:53:34 +0200

netcat-openbsd (1.190-1) unstable; urgency=low

  * New upstream release (from OpenBSD 6.3)
  * debian/control:
    + Bump Standards-Version to 4.1.3 (no changes necessary).
    + Migrate Vcs-Browser and Vcs-Git from Alioth to Salsa.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 05 Apr 2018 03:04:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: important
 Maintainer: Aron Xu <aron@debian.org>
 Uploaders: Guilhem Moulin <guilhem@debian.org>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Build-Depends: debhelper (>= 9), quilt, libbsd-dev, pkg-config
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/netcat-openbsd.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/netcat-openbsd.git
+Vcs-Git: https://salsa.debian.org/debian/netcat-openbsd.git
+Vcs-Browser: https://salsa.debian.org/debian/netcat-openbsd
 
 Package: netcat-openbsd
 Architecture: any

## netcat-openbsd 1.195

=== debian/changelog ===
netcat-openbsd (1.195-2) unstable; urgency=medium

  * Report the listening port correctly in verbose mode. Regression since
    1.195-1.  Thanks to Peter Pentchev for the report and patch.
    Closes: #920611.
  * debian/control: Bump Standards-Version to 4.3.0 (no changes necessary).

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 12 Feb 2019 12:31:51 +0100

netcat-openbsd (1.195-1) unstable; urgency=medium

  * New upstream release (from OpenBSD 6.4)
  * debian/control: Bump Standards-Version to 4.2.1 (no changes necessary).
  * debian/patches:
    + Move broadcast support out of misc-failures-and-features.patch into
      an individual patch.
    + Fix arbitrary port list support (Closes: #886910, regression since
      1.178-1) and move it into an individual patch.  Furthermore, add range
      support as well as shuffling in said list, and document these features.
      (Closes: #886909).

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 22 Oct 2018 05:18:54 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: important
 Maintainer: Aron Xu <aron@debian.org>
 Uploaders: Guilhem Moulin <guilhem@debian.org>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 9), quilt, libbsd-dev, pkg-config
 Vcs-Git: https://salsa.debian.org/debian/netcat-openbsd.git
 Vcs-Browser: https://salsa.debian.org/debian/netcat-openbsd

## netcat-openbsd 1.203

=== debian/changelog ===
netcat-openbsd (1.203-1) unstable; urgency=medium

  * New upstream release (from OpenBSD 6.5)
  * debian/control: Bump Standards-Version to 4.4.0 (no changes necessary).
  * debian/control, debian/compat: Bump debhelper compatibility level from 9
    to 12.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 04 Aug 2019 20:43:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: important
 Maintainer: Aron Xu <aron@debian.org>
 Uploaders: Guilhem Moulin <guilhem@debian.org>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 9), quilt, libbsd-dev, pkg-config
+Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 12~), libbsd-dev, pkg-config, quilt
 Vcs-Git: https://salsa.debian.org/debian/netcat-openbsd.git
 Vcs-Browser: https://salsa.debian.org/debian/netcat-openbsd
 
 Package: netcat-openbsd
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: netcat
 Breaks: netcat (<< 1.10-35)
 Replaces: netcat (<< 1.10-35)

## netcat-openbsd 1.206

=== debian/changelog ===
netcat-openbsd (1.206-1ubuntu1) focal; urgency=medium

  * Move the netcat transitional package here and have it depend on the
    preferred netcat-openbsd implementation of netcat, not
    netcat-traditional.  LP: #1780316.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 09 Mar 2020 11:50:15 -0700

netcat-openbsd (1.206-1) unstable; urgency=medium

  * New upstream release (from OpenBSD 6.6)
  * d/patches/use-flags-to-specify-listen-address.patch: Re-enable specifying
    client socket for UNIX-domain datagram sockets.  Regression introduced in
    version 1.187-1.  Thanks to astian for the report and patch.
    (Closes: #935650)
  * debian/control: Bump Standards-Version to 4.4.1 (no changes necessary).

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 02 Dec 2019 17:10:23 +0100

netcat-openbsd (1.203-2) unstable; urgency=medium

  * Remove d/patches/verbose-numeric-port.patch: as of 1.203 verbose mode for
    listening sockets is included in upstream's report_sock() function.
    (Closes: #934330)

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 23 Aug 2019 22:59:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: netcat-openbsd
 Section: net
 Priority: important
-Maintainer: Aron Xu <aron@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Aron Xu <aron@debian.org>
 Uploaders: Guilhem Moulin <guilhem@debian.org>
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Build-Depends: debhelper (>= 12~), libbsd-dev, pkg-config, quilt
 Vcs-Git: https://salsa.debian.org/debian/netcat-openbsd.git
 Vcs-Browser: https://salsa.debian.org/debian/netcat-openbsd
@@ -25,3 +26,13 @@
  .
  This package contains the OpenBSD rewrite of netcat, including support
  for IPv6, proxies, and Unix sockets.
+
+Package: netcat
+Priority: extra
+Section: oldlibs
+Architecture: all
+Depends: netcat-openbsd, ${misc:Depends}
+Description: TCP/IP swiss army knife -- transitional package
+ This is a transitional package that depends on the netcat-openbsd
+ implementation of netcat, preferred in Ubuntu.  It may be safely removed.
+

## netcat-openbsd 1.217

=== debian/changelog ===
netcat-openbsd (1.217-3) unstable; urgency=low

  [ Debian Janitor ]
  * Rely on pre-initialized dpkg-architecture variables.
  * Update renamed lintian tag names in lintian overrides.

  [ Guilhem Moulin ]
  * d/control: Bump Standards-Version to 4.5.1 (no changes necessary).
  * Add debian/salsa-ci.yml file for GitLab CI.
  * Rename 'master' (default) branch to 'debian/latest' for DEP-14 compliance.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 19 Dec 2020 00:11:23 +0100

netcat-openbsd (1.217-2) unstable; urgency=low

  * d/patches: Make getnameinfo(3) errors non-fatal in report_sock():
    report_sock() is used to show the peer's address/name and port when the
    '-v' flag is set.  Reverse resolution errors need not be fatal.
    (Closes: #961378)

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 05 Jun 2020 03:16:35 +0200

netcat-openbsd (1.217-1) unstable; urgency=medium

  * d/control:
    + Set debhelper-compat version in Build-Depends.
    + Remove quilt from Build-Depends.
    + Bump Standards-Version to 4.5.0 (no changes necessary).
    + Set 'Rules-Requires-Root: no'.
    + Bump debhelper compatibility level to 13.
  * d/netcat-openbsd.{postinst,prerm}: set -e in the scripts themselves not on
    the shebang line.
  * Add lintian override for
    I: manpage-without-executable usr/share/man/man1/nc_openbsd.1.gz
  * d/copyright: Set fields Upstream-Name.
  * d/patches/set-TCP-MD5SIG-correctly-for-client-connections.patch: Fix TCP
    MD5 signature support.  The feature now requires the TCP_MD5SIG_EXT socket
    option, available since Linux 4.13.  Thanks to Thomas Habet for report and
    patch. (Closes: #954934)
  * d/patches/quit-timer.patch: Make -q0 quit immediately also with UDP
    sockets.  Many thanks to Duncan Roe for the help in debugging this.
    (Closes: #817050)

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 23 May 2020 02:04:39 +0200

=== debian/control ===
Source: netcat-openbsd
Section: net
Priority: important
Maintainer: Aron Xu <aron@debian.org>
Uploaders: Guilhem Moulin <guilhem@debian.org>
Standards-Version: 4.5.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), libbsd-dev, pkg-config
Vcs-Git: https://salsa.debian.org/debian/netcat-openbsd.git -b debian/latest
Vcs-Browser: https://salsa.debian.org/debian/netcat-openbsd

Package: netcat-openbsd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: netcat
Breaks: netcat (<< 1.10-35)
Replaces: netcat (<< 1.10-35)
Description: TCP/IP swiss army knife
 A simple Unix utility which reads and writes data across network
 connections using TCP or UDP protocol.  It is designed to be a reliable
 "back-end" tool that can be used directly or easily driven by other
 programs and scripts. At the same time it is a feature-rich network
 debugging and exploration tool, since it can create almost any kind of
 connection you would need and has several interesting built-in
 capabilities.
 .
 This package contains the OpenBSD rewrite of netcat, including support
 for IPv6, proxies, and Unix sockets.

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,7 @@
 DEB_CFLAGS = $(CPPFLAGS) $(CFLAGS)
 DEB_LDFLAGS = $(LDFLAGS) -Wl,--no-add-needed,--as-needed
 
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+include /usr/share/dpkg/architecture.mk
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 	CROSS :=
 else

## netcat-openbsd 1.218

=== debian/changelog ===
netcat-openbsd (1.218-4ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes (LP: #1961983):
    - Move the netcat transitional package here and have it depend on the
      preferred netcat-openbsd implementation of netcat, not
      netcat-traditional.
    - Don't build-depend on strace on i386 where it's unavailable.

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 23 Feb 2022 12:09:43 +0100

netcat-openbsd (1.218-4) unstable; urgency=medium

  * d/checks/*: Allow test suite to fail due to the high rate of false
    positives on some platforms and build environments.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 19 Feb 2022 11:33:57 +0100

netcat-openbsd (1.218-3ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Move the netcat transitional package here and have it depend on the
      preferred netcat-openbsd implementation of netcat, not
      netcat-traditional.
    - Don't build-depend on strace on i386 where it's unavailable.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 13 Dec 2021 23:37:43 -0800

netcat-openbsd (1.218-3) unstable; urgency=medium

  * Upload to unstable.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 06 Dec 2021 00:09:18 +0100

netcat-openbsd (1.218-2+exp6) experimental; urgency=medium

  * d/checks/07-name-resolution: Warn on resolution failures.
  * d/checks/07-name-resolution: Prefer `getent ahosts/ahostsv4/ahostsv6`.
    Regression from 1.218-2+exp5.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 05 Dec 2021 01:21:26 +0100

netcat-openbsd (1.218-2+exp5) experimental; urgency=medium

  * d/checks/07-name-resolution: Only use `getent ahosts…` for AF_INET.  Using
    it for AF_UNSPEC yields FTBFS on landau (sparc64 buildd).

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 05 Dec 2021 00:07:02 +0100

netcat-openbsd (1.218-2+exp4) experimental; urgency=medium

  * d/checks/07-name-resolution: Also check ip6-localhost.
  * d/checks/07-name-resolution: Support empty `getent ahostsv6 localhost`
    output (attempt to fix FTBFS on the reproducible-builds build daemons).

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 04 Dec 2021 17:12:41 +0100

netcat-openbsd (1.218-2+exp3) experimental; urgency=medium

  * d/checks/07-name-resolution: Dump resolver status on failure.
    Unfortunately that test makes r-b unhappy and it's unclear why, so let's
    dump some extra information on error.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 23 Nov 2021 19:06:31 +0100

netcat-openbsd (1.218-2+exp2) experimental; urgency=low

  * Minor d/rules refactoring.
  * Demote setsockopt SO_REUSEADDR/SO_REUSEPORT fatal failures to warnings.
    `nc -l` was unusable (ENOPROTOOPT) on platforms such as GNU Hurd which
    define but don't implement SO_REUSEPORT.  dh_auto_test failed on these
    platforms since d/t/client-server calls `nc -l`.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 15 Nov 2021 19:44:11 +0100

netcat-openbsd (1.218-2+exp1) experimental; urgency=low

  * d/control: Reflow Description field.
  * d/copyright: Add self under "Files: debian/*" stanza.
  * d/checks/07-name-resolution: Dump resolution results on error.  This
    should make FTBFS troubleshooting on some buildds easier.
  * Also run d/t/client-server after dh_auto_test.
  * Skip extended test suite on hppa and ia64.
  * DEP-8, dh_auto_test: Run d/t/client-server also on non-Linux platforms.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 14 Nov 2021 17:17:26 +0100

netcat-openbsd (1.218-2ubuntu2) jammy; urgency=medium

  * Don't build-depend on strace on i386 where it's unavailable.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 00:17:56 +0000

netcat-openbsd (1.218-2ubuntu1) jammy; urgency=low

  * Merge from Debian unstable (LP: #1950985). Remaining changes:
    - Move the netcat transitional package here and have it depend on the
      peferred netcat-openbsd implementation of netcat, not
      netcat-traditional.

 -- Dave Jones <dave.jones@canonical.com>  Sun, 14 Nov 2021 09:42:30 +0000

netcat-openbsd (1.218-2) unstable; urgency=low

  * d/checks: Fix FTBS on some platforms:
    +  Skip entire test suite (and also d/t/client-server) on non-Linux
       platforms.  There are Linux-only dependencies, such as strace(1) and
       ss(8).
    + Don't make any asumption regarding v4/v6 preference when resolving
      localhost.
    + Don't assume getent(1) produces space-separated output.
    + Replace strace's '-Ianywhere' with '-I1' so we can run with older strace
      versions.
   + Skip TCP MD5 signatures test on unsupported platforms.  (It appears hppa
     chokes on the readpassphrase injection via LD_PRELOAD, and TCP MD5
     signature seems to be disabled in the riscv64 buildd.)

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 14 Nov 2021 04:47:57 +0100

netcat-openbsd (1.218-1) unstable; urgency=low

  * New upstream release (from OpenBSD 7.0).
  * d/rules refactoring.
  * d/netcat-openbsd.{postinst,prerm}: Explicitly exit with status code 0.
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Remove unused lintian override spare-manual-page.
  * d/checks/*: Add test suite for the upstream codebase as well as the Debian-
    specific patches.  This adds Build-Depends: iproute2, procps, strace
    (unless under 'nocheck' profile).  Parsing strace(1) output isn't ideal of
    course... but we can't think of a better way to do these checks and it's
    hopefully fine for dh_auto_test (the DEP-8 tests don't rely on that).
  * Add DEP-8 tests: 1/ ensure nc(1) is nc.openbsd(1), and 2/ basic
    client/server communication test.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 13 Nov 2021 21:52:14 +0100

netcat-openbsd (1.217.1-1) unstable; urgency=medium

  * New upstream release (from OpenBSD 6.9).
  * Refresh debian/README.source to reflect current workflow.
  * Replace Aron Xu as Maintainer at Aron's request.  Many thanks to him for
    his work on the netcat-openbsd package!


=== debian/control ===
Source: netcat-openbsd
Section: net
Priority: important
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guilhem Moulin <guilhem@debian.org>
Standards-Version: 4.5.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               iproute2 [linux-any] <!nocheck>,
               libbsd-dev,
               pkg-config,
               procps [linux-any] <!nocheck>,
               strace [!i386] <!nocheck>
Vcs-Git: https://salsa.debian.org/debian/netcat-openbsd.git -b debian/latest
Vcs-Browser: https://salsa.debian.org/debian/netcat-openbsd

Package: netcat-openbsd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: netcat
Breaks: netcat (<< 1.10-35)
Replaces: netcat (<< 1.10-35)
Description: TCP/IP swiss army knife
 A simple Unix utility which reads and writes data across network connections
 using TCP or UDP protocol. It is designed to be a reliable "back-end" tool
 that can be used directly or easily driven by other programs and scripts. At
 the same time it is a feature-rich network debugging and exploration tool,
 since it can create almost any kind of connection you would need and has
 several interesting built-in capabilities.
 .
 This package contains the OpenBSD rewrite of netcat, including support for
 IPv6, proxies, and Unix sockets.

Package: netcat
Priority: optional
Section: oldlibs
Architecture: all
Depends: netcat-openbsd, ${misc:Depends}
Description: TCP/IP swiss army knife -- transitional package
 This is a transitional package that depends on the netcat-openbsd
 implementation of netcat, preferred in Ubuntu.  It may be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk
CFLAGS += -DDEBIAN_VERSION=\"$(DEB_VERSION)\"

include /usr/share/dpkg/architecture.mk
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  PKG_CONFIG = pkg-config
else
  CC = $(DEB_HOST_GNU_TYPE)-gcc
  PKG_CONFIG = $(DEB_HOST_GNU_TYPE)-pkg-config
endif

NAME = netcat-openbsd
prefix = debian/$(NAME)
datarootdir = $(prefix)/usr/share
mandir = $(datarootdir)/man
man1dir = $(mandir)/man1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CC=$(CC) PKG_CONFIG=$(PKG_CONFIG) CFLAGS='$(CFLAGS) $(CPPFLAGS)' LDFLAGS='$(LDFLAGS)'

# used to spoof passphrass prompts via LD_PRELOAD while running the test suite
debian/checks/%.so: debian/checks/%.c
	$(CC) -shared $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $<

execute_after_dh_auto_test: debian/checks/readpassphrase.so
	debian/tests/client-server
ifeq ($(DEB_HOST_ARCH_OS),linux)
	debian/checks/netcat || test $$? -eq 1
endif

execute_after_dh_install:
	mv -T $(prefix)/bin/nc $(prefix)/bin/nc.openbsd

execute_after_dh_installman:
	mv -T $(man1dir)/nc.1 $(man1dir)/nc_openbsd.1

## netcat-openbsd 1.219

=== debian/changelog ===
netcat-openbsd (1.219-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't build-depend on strace on i386 where it's unavailable.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 20 Feb 2023 11:16:40 +0100

netcat-openbsd (1.219-1) unstable; urgency=medium

  * New upstream release (from OpenBSD 7.2).
  * Salsa CI: Remove default configuration file.
  * Refresh d/patches.
  * Update standards version to 4.6.1, no changes needed.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 20 Oct 2022 23:19:17 +0200

netcat-openbsd (1.218-5ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't build-depend on strace on i386 where it's unavailable.
  * Drop netcat transitional package, because netcat 1.10-47 dropped it

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 17 May 2022 18:27:43 +0200

netcat-openbsd (1.218-5) unstable; urgency=low

  [ Dirk Jagdmann ]
  * Add support for abstract namespace sockets in the AF_UNIX family.

  [ Guilhem Moulin ]
  * d/t/client-server: Add a simple test for sockets in the AF_UNIX family,
    including those in the abstract namespace on Linux.  We were only checking
    sockets in the AF_INET family before.
  * d/p/abstract-unix-domain-socket.patch: Some fixes and improvements upon
    Dirk's patch.
  * d/checks: Ensure sockets in the AF_UNIX family are usable up to the
    sizeof(sun_path) limit, and rejected with ENAMETOOLONG when they exceed it.
  * d/checks: Add tests for abstract namespace sockets in the AF_UNIX family,
    incl. for source datagram UNIX domain sockets.
  * d/p/abstract-unix-domain-socket.patch: Always reject the empty pathname
    sockets, which on Linux was read as the NUL abstract socket before.  The
    empty abstract socket is still allowed however, and is specified as "@".
  * d/p/misc-failures-and-features.patch: Remove double warning in
    unix_connect().
  * d/p/misc-failures-and-features.patch: Remove leftover union{}, obsolete
    since 1.190-1.
  * d/p/misc-failures-and-features.patch: Factor out Makefile changes to
    d/p/port-to-linux-with-libbsd.patch.
  * d/p/misc-failures-and-features.patch: Remove redundant errx() call in
    unix_connect().
  * d/p/misc-failures-and-features.patch: Improve error message for UNIX-domain
    datagram sockets.
  * d/checks: Use '--' marker to avoid breakage on socket pathnames starting
    with '-'.
  * d/checks/netcat: Set LC_ALL=C.
  * Add d/NEWS entry mentioning abstract sockets support and its implications.
  * d/p/*: Consolidate usage of '#if defined(FOO)' vs. '#ifdef FOO'.
  * d/p/build-without-TLS-support.patch: Rename '-DTLS' to the less generic
    '-DHAVE_TLS'.
  * d/p/port-to-linux-with-libbsd.patch: Use automatic Makefile variables.
  * d/checks/02-connect: Check default temporary socket name for datagram
    sockets.
  * d/tests/client-server: Check that the socket path is left behind.
  * Rather than using mkstemp(3) to create unique names for default source
    datagram UNIX domain sockets, use mkdtemp(3) to create a new empty
    directory (with mode 0700) and use it to store a fixed socket name.  This
    fixes a file descriptor leak and a race condition where a new file would be
    created by an attacker between the unlink(2) and bind(2) calls.  We don't
    use an abstract socket here since it would open a race condition with the
    possibility for a local attacker to inject fake server responses.
  * d/p/*: Minor formatting fixes.
  * d/p/*: Improve Subject: lines.
  * d/copyright: Update copyright years.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 11 Mar 2022 21:54:15 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: important
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Guilhem Moulin <guilhem@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                iproute2 [linux-any] <!nocheck>,
@@ -30,13 +30,3 @@
  .
  This package contains the OpenBSD rewrite of netcat, including support for
  IPv6, proxies, and Unix sockets.
-
-Package: netcat
-Priority: optional
-Section: oldlibs
-Architecture: all
-Depends: netcat-openbsd, ${misc:Depends}
-Description: TCP/IP swiss army knife -- transitional package
- This is a transitional package that depends on the netcat-openbsd
- implementation of netcat, preferred in Ubuntu.  It may be safely removed.
-

## netcat-openbsd 1.225

=== debian/changelog ===
netcat-openbsd (1.225-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable (LP: #2025666). Remaining changes:
    - Don't build-depend on strace on i386 where it's unavailable.

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Mon, 03 Jul 2023 17:30:27 +0100

netcat-openbsd (1.225-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + netcat-openbsd: Drop versioned constraint on netcat in Replaces.
    + netcat-openbsd: Drop versioned constraint on netcat in Breaks.

  [ Guilhem Moulin ]
  * New upstream release (from OpenBSD 7.3).
    + In UDP mode, do not test the connection (by writing "XXX" junk) when
      ‘-z’ is unset and the standard input is not a TTY.  This slightly
      improves the situation with respect to #747646.
  * Update standards version to 4.6.2, no changes needed.
  * d/README.source:
    + rsync: Replace ‘-v’ flag with ‘-P’.
    + Advertize use of gbp-dch(1).
    + Use a secondary parent in the upstream branch.  (This is useful to track
      upstream activity.)
  * Refresh d/patches.
  * d/p/udp-scan-timeout.patch: Call connection_info() and udptest() call when
    ‘-z’ flag is set.  This is the upstream behavior.
  * d/checks/04-kflag-udp: Pass ‘-z’ in the UDP reconnection test.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 10 Jun 2023 22:43:37 +0200

## netcat-openbsd 1.226

=== debian/changelog ===
netcat-openbsd (1.226-1ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:14:20 +0200

netcat-openbsd (1.226-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2042431). Remaining changes:
    - Don't build-depend on strace on i386 where it's unavailable.

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Wed, 01 Nov 2023 10:27:32 +0000

netcat-openbsd (1.226-1) unstable; urgency=medium

  [ Guilhem Moulin ]
  * New upstream release (from OpenBSD 7.4).

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 16 Oct 2023 19:31:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: important
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Guilhem Moulin <guilhem@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                iproute2 [linux-any] <!nocheck>,
@@ -18,8 +18,6 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: netcat
-Breaks: netcat (<< 1.10-35)
-Replaces: netcat (<< 1.10-35)
 Description: TCP/IP swiss army knife
  A simple Unix utility which reads and writes data across network connections
  using TCP or UDP protocol. It is designed to be a reliable "back-end" tool

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,10 @@
 debian/checks/%.so: debian/checks/%.c
 	$(CC) -shared $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $<
 
-execute_after_dh_auto_test: debian/checks/readpassphrase.so
+debian/checks/sun_path-size: debian/checks/sun_path-size.c
+	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $<
+
+execute_after_dh_auto_test: debian/checks/readpassphrase.so debian/checks/sun_path-size
 	debian/tests/client-server
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	debian/checks/netcat || test $$? -eq 1

## netcat-openbsd 1.228

=== debian/changelog ===
netcat-openbsd (1.228-1) unstable; urgency=medium

  * New upstream release (from OpenBSD 7.6).
  * d/control:
    + Update standards version to 4.7.0, no changes needed.
    + Replace obsolete Build-Depends: pkg-config with pkgconf.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 05 Jan 2025 01:42:59 +0100

netcat-openbsd (1.226-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install nc.openbsd into /usr/bin. (Closes: #1059412)
    Keep update-alternatives calls unchanged to preserve pre-existing
    user/admin configuration.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 22 Apr 2024 01:39:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: netcat-openbsd
 Section: net
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guilhem Moulin <guilhem@debian.org>
-Standards-Version: 4.6.2
+Maintainer: Guilhem Moulin <guilhem@debian.org>
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                iproute2 [linux-any] <!nocheck>,
                libbsd-dev,
-               pkg-config,
+               pkgconf,
                procps [linux-any] <!nocheck>,
-               strace [!i386] <!nocheck>
+               strace [linux-any] <!nocheck>
 Vcs-Git: https://salsa.debian.org/debian/netcat-openbsd.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/debian/netcat-openbsd

## netcat-openbsd 1.229

=== debian/changelog ===
netcat-openbsd (1.229-1build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 14:16:39 +0000

netcat-openbsd (1.229-1) unstable; urgency=medium

  [ Guilhem Moulin ]
  * New upstream release (from OpenBSD 7.7).
  * Update Standards-Version to 4.7.2 (no changes necessary).

  [ mark.yang ]
  * Fix build failure with GCC-15. (Closes: #1097448)

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 29 Apr 2025 05:38:29 +0200

=== debian/tests/control ===
# Make sure nc(1) is nc.openbsd(1)
Tests: nc-is-openbsd
Restrictions: superficial

Tests: client-server

## netcat-openbsd 1.234

=== Makefile ===
#	$OpenBSD: Makefile,v 1.7 2015/09/11 21:07:01 beck Exp $

PROG=	nc
SRCS=	netcat.c atomicio.c socks.c
LDADD+= -ltls -lssl -lcrypto
DPADD+=  ${LIBTLS} ${LIBSSL} ${LIBCRYPTO}

.include <bsd.prog.mk>

=== debian/changelog ===
netcat-openbsd (1.234-1) unstable; urgency=medium

  * New upstream release (from OpenBSD 7.8).
    + Add support for SOCKS v.4A via `-X 4A`.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 23 Oct 2025 11:09:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: important
 Maintainer: Guilhem Moulin <guilhem@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                iproute2 [linux-any] <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 endif
 
 execute_after_dh_install:
-	mv -T $(prefix)/bin/nc $(prefix)/bin/nc.openbsd
+	mv -T $(prefix)/usr/bin/nc $(prefix)/usr/bin/nc.openbsd
 
 execute_after_dh_installman:
 	mv -T $(man1dir)/nc.1 $(man1dir)/nc_openbsd.1
